// Programmiert von Samuel Wolff
// Noch nicht getestet

//
//	TODO: Methoden implementieren!
//

package Logik;

import java.util.ArrayList;

public class ElternAccount extends Account {

	// region Felder
	private transient ArrayList<Kind> kinder;
	// endregion

	// region Getter & Setter

	public ArrayList<Kind> getKinder() {
		return kinder;
	}

	public void setKinder(ArrayList<Kind> kinder) {
		this.kinder = kinder;
	}
	// endregion

	// region Konstruktoren
	public ElternAccount(String passwort, String benutzername, String email) {
		super(passwort, benutzername, email);
		kinder = new ArrayList<>();
	}
	// endregion

	// region Methoden

	/**
	 * Lädt eine Rechnung herunter
	 */
	public void rechnungHerunterladen() {

	}

	/**
	 * Bestellt eine Mahlzeit
	 */
	public void mahlzeitBestellen() {

	}

	/**
	 * Zeigt Rechnungen gefiltert an
	 * @param params Die Filter Argumente
	 */
	public void rechnungAnzeigen(String params) {

	}
	// endregion

}
